WBOX(1)

NAME
wbox - HTTP testing tool and configuration-less HTTP server

SYNOPSIS
wbox <url> [ options ]
wbox servermode webroot <path> [serverport <portnumber> (def 8081)]

DESCRIPTION
wbox aims to help you having fun while testing HTTP related stuff. You can use it to perform many tasks, including the following:

- Benchmarking how much time it takes to generate content for your web application.

- Web server and web application stressing.

- Testing virtual domains configuration without the need to alter your local resolver.

- Use it as a configuration-less HTTP server to share files!

OPTIONS

<number>
    Stop after <number> requests

compr
    Send Accept-Encoding: gzip,deflate in request

showhdr
    Show the HTTP reply header

dump
    Show the HTTP reply header + body

silent
    Don't show status lines

head
    Use the HEAD method instead of GET

http10
    Use HTTP/1.0 instead of HTTP/1.1

close
    Close the connection after reading few bytes

host <hostname>
    Use <hostname> as Host: field in HTTP request

timesplit
    Show transfer times for different data chunks

wait <number>
    Wait <number> seconds between requests. Default 1.

clients <number>
    Spawn <number> concurrent clients (via fork()).

referer <url>
    Send the specified referer header.

cookie <name> <val>
    Set cookie name=val, can be used multiple times.

maxclients <number>
    Max concurrent clients in server mode (default 20).

-h or --help
    Show this help.

-v  Show version.

USAGE EXAMPLES

wbox wikipedia.org (simplest, basic usage)

wbox wikipedia.org 3 compr wait 0 (three requests, compression, no delay)

wbox wikipedia.org 1 showhdr silent (just show the HTTP reply header)

wbox wikipedia.org timesplit (show split time information)

wbox 1.2.3.4 host example.domain (test a virtual domain at 1.2.3.4)

wbox servermode webroot /tmp/mydocuments (Try it with http://127.0.0.1:8081)

TUTORIAL
Wbox is trivial to use but, in order to understand better what wbox is and how to use it, you may want to read the TUTORIAL inside the /usr/share/doc/wbox/ directory.

AUTHOR
wbox was written by Salvatore 'antirez' Sanfilippo <antirez@gmail.com>.

This manual page was written by Alberto Furia <straluna@email.it>, for the Debian project (and may be used by others).